CMSIS-DSP: Convert 32-bit floating point value

| CMSIS-DSP Version 1.7.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Convert 32-bit floating point value
Support Functions

## Functions
void | arm_float_to_q15 (const float32_t *pSrc, q15_t *pDst, uint32_t blockSize)
| Converts the elements of the floating-point vector to Q15 vector. More...
void | arm_float_to_q31 (const float32_t *pSrc, q31_t *pDst, uint32_t blockSize)
| Converts the elements of the floating-point vector to Q31 vector. More...
void | arm_float_to_q7 (const float32_t *pSrc, q7_t *pDst, uint32_t blockSize)
| Converts the elements of the floating-point vector to Q7 vector. More...

## Description

## Function Documentation

void arm_float_to_q15 | ( | const float32_t * | pSrc,
|  | q15_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | pSrc | points to the floating-point input vector
  [out] | pDst | points to the Q15 output vector
  [in] | blockSize | number of samples in each vector

Returns
  none

Details
  The equation used for the conversion process is:

          pDst[n] = (q15_t)(pSrc[n] * 32768);   0 <= n < blockSize.

Scaling and Overflow Behavior
  The function uses saturating arithmetic. Results outside of the allowable Q15 range [0x8000 0x7FFF] are saturated.

Note
  In order to apply rounding, the library should be rebuilt with the ROUNDING macro defined in the preprocessor section of project options.

void arm_float_to_q31 | ( | const float32_t * | pSrc,
|  | q31_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | pSrc | points to the floating-point input vector
  [out] | pDst | points to the Q31 output vector
  [in] | blockSize | number of samples in each vector

Returns
  none

Details
  The equation used for the conversion process is:

          pDst[n] = (q31_t)(pSrc[n] * 2147483648);   0 <= n < blockSize.

Scaling and Overflow Behavior
  The function uses saturating arithmetic. Results outside of the allowable Q31 range[0x80000000 0x7FFFFFFF] are saturated.

Note
  In order to apply rounding, the library should be rebuilt with the ROUNDING macro defined in the preprocessor section of project options.

void arm_float_to_q7 | ( | const float32_t * | pSrc,
|  | q7_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | *pSrc | points to the floating-point input vector
  [out] | *pDst | points to the Q7 output vector
  [in] | blockSize | length of the input vector

Returns
  none.

Description:

  The equation used for the conversion process is:

              pDst[n] = (q7_t)(pSrc[n] * 128);   0 <= n < blockSize.

Scaling and Overflow Behavior:

  The function uses saturating arithmetic. Results outside of the allowable Q7 range [0x80 0x7F] will be saturated.

Note
  In order to apply rounding, the library should be rebuilt with the ROUNDING macro defined in the preprocessor section of project options.